# ProjectComponent

Abstract class providing properties and methods common to all the project components

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
package | phing

### Methods

## Returns a reference to current project

    getProject() : \Project

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project) : void

### Arguments

#### $project

`\Project`

The reference to the current project

### Properties

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

var | A reference to the current project instance

### Type(s)

`\Project`